/*******************************************************************************
 * Copyright (c) 2017 Association for Decentralized Information Management
 * in Industry THTH ry.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Semantum Oy - initial API and implementation
 *******************************************************************************/
package org.simantics.scenegraph.g2d;

import java.util.List;

import org.simantics.scenegraph.g2d.nodes.SVGNodeAssignment;
import org.simantics.scenegraph.g2d.nodes.TargetedSVGNodeAssignment;
import org.simantics.scenegraph.g2d.nodes.TransformationAssignment;

/**
 * @author Antti Villberg
 * @since 1.29.0
 */
public class G2DNodeModification {
	public List<SVGNodeAssignment> svgAssignments;
	public List<TargetedSVGNodeAssignment> targetedSVGAssignments;
	public List<TransformationAssignment> transformAssignments;
	public G2DNodeModification(List<SVGNodeAssignment> svgAssignments, List<TransformationAssignment> transformAssignments) {
		this.svgAssignments = svgAssignments;
		this.transformAssignments = transformAssignments;
	}
	public G2DNodeModification(List<SVGNodeAssignment> svgAssignments, List<TargetedSVGNodeAssignment> targetedSVGAssignments, List<TransformationAssignment> transformAssignments) {
		this.svgAssignments = svgAssignments;
		this.targetedSVGAssignments = targetedSVGAssignments;
		this.transformAssignments = transformAssignments;
	}
	public static G2DNodeModification create3(List<SVGNodeAssignment> svgAssignments, List<TargetedSVGNodeAssignment> targetedSVGAssignments, List<TransformationAssignment> transformAssignments) {
		return new G2DNodeModification(svgAssignments, targetedSVGAssignments, transformAssignments);
	}
}
